Index: tests/attr_tests/not_ss.xml_save
===================================================================
--- tests/attr_tests/not_ss.xml_save	(revision 2d56f83c081f3e09645b806a636dfd0f2613fe79)
+++ tests/attr_tests/not_ss.xml_save	(revision 94dadbd63ff20178bdaf233f709ea10efd1e47f1)
@@ -3,22 +3,7 @@
     <credential xml:id="ref0">
 	<type>abac</type>
-	<serial/>
-	<owner_gid/>
-	<target_gid/>
-	<uuid/>
-	<expires>2033-08-02T00:59:54Z</expires>
-	<abac>
-	    <rt0>
-		<version>1.1</version>
-		<head>
-   <ABACprincipal><keyid>b4b3cb2692d066aba929ff7100caaa2026bfc2c1</keyid></ABACprincipal>
-   <role>test_attr</role>
-</head>
-<tail>
-   <ABACprincipal><keyid>d9b5e24ea26d35680df74ad0069977488ff3eec2</keyid></ABACprincipal>
-</tail>
-
-	    </rt0>
-	</abac>
+	<version>1.0</version>
+	<expires>2014-05-20T17:39:55Z</expires>
+	<rt0>0a778934b93d546406d195d18e4f208af11ea84a.test_attr&lt;-633aadf1753647ba60f28b7310f5a56cd32ab7e2</rt0>
     </credential>
     <signatures>
@@ -32,17 +17,17 @@
 		    </Transforms>
 		    <DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
-		    <DigestValue>RgAYVvDCeh5c2/uYg13Ni3nn0kc=</DigestValue>
+		    <DigestValue>PZhnlEVuQz0AEHrBFzEcuefhWB8=</DigestValue>
 		</Reference>
 	    </SignedInfo>
-	    <SignatureValue>boVx3juzHziicH875bMT87y0jc7liKyK4047XMNcVAZfhkYkAPrYczsnEmT7Npt6
-LjFVRklzVtf3GjMS3KwuZKSiBl9owRT7mRFDJ6Xa++gLTlI0nzihR6hQAoWq7jfH
-RdjvISw5dK5vGASsNg0LJMZgJcCShB5tHZbz6mp8Yjs=</SignatureValue>
+	    <SignatureValue>wYIkXgDSnzeTVu/Cc2C2W5bib6w0SVzZcKSabls47Qr6rJMdNUKrO3YOV8fcHrbT
+9wsCrEq2v2d8kuueuzSjzXvZrgBBfXrMe83Z427F0todl5/IhQTgXtKyhYsKZEvU
+5C50FVKSs/spKCqcO95TYtzEZEAu6yCJV/Oa59TYt/4=</SignatureValue>
 	    <KeyInfo>
 	      <KeyValue>
 <RSAKeyValue>
 <Modulus>
-/JnS32SJUKrzw+oXv/I6dfCMxtaGxBFebgXJfJwHQ+xkrcUXIeur6Jdxd/quS7zB
-XqF1R2Q7abtTrQ1HsBXQ6adkmvAbYHegLQKgQ7ZdFOajnGTNnOtURqjJbkSj8OS6
-HSn2m1EHkThT9dwM5Zs2YJXd5BQT0yaak8A6U9La0dM=
+9+Qkp1j1gFuVflZuISN005C4uAuYAyJ/ntVD4tWTnTl2KEuCRlzbmpBMk5DXqxYW
+ouuXTjffiQwfMOYufvj9p/mvEPGKlJz5/Fd3dY1fbQ2cg/RckWX4ikC36Z4bmSya
+Kws7APsjDu6luAH2ggFXXoHIUej0jm7KpDTRI3kW+NU=
 </Modulus>
 <Exponent>
@@ -55,30 +40,24 @@
 		    
 		    
-		<X509Certificate>MIIEFDCCA32gAwIBAgIBCTANBgkqhkiG9w0BAQUFADCCARQxCzAJBgNVBAYTAlVT
-MQ0wCwYDVQQIEwRVdGFoMSUwIwYDVQQHExxTYWx0IExha2UgQ2l0eSBWaXJ0dWFs
-IFdvcmxkMSAwHgYDVQQKExdVdGFoIE5ldHdvcmsgRWxhYkluRWxhYjEeMBwGA1UE
-CxMVQ2VydGlmaWNhdGUgQXV0aG9yaXR5MT0wOwYDVQQDEzRteWJvc3MudGVzdGVu
-dmlyb25tZW50LnR1dG9yaWFsMjAxMS5pc2kuZGV0ZXJsYWIubmV0MU4wTAYJKoZI
-hvcNAQkBFj90ZXN0YmVkLW9wc0BteW9wcy50ZXN0ZW52aXJvbm1lbnQudHV0b3Jp
-YWwyMDExLmlzaS5kZXRlcmxhYi5uZXQwHhcNMTMwNjIyMDUwMzM5WhcNMTYwMzE4
-MDUwMzM5WjCBxTELMAkGA1UEBhMCVVMxDTALBgNVBAgTBFV0YWgxIDAeBgNVBAoT
-F1V0YWggTmV0d29yayBFbGFiSW5FbGFiMRIwEAYDVQQLEwlzc2x4bWxycGMxLTAr
-BgNVBAMTJDcwZjRkYjVjLWM3ZjUtMTFkYy1hMjA0LTAwMDQyM2MyOGU3NjFCMEAG
-CSqGSIb3DQEJARYzZmFiZXJAdGVzdGVudmlyb25tZW50LnR1dG9yaWFsMjAxMS5p
-c2kuZGV0ZXJsYWIubmV0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQD8mdLf
-ZIlQqvPD6he/8jp18IzG1obEEV5uBcl8nAdD7GStxRch66vol3F3+q5LvMFeoXVH
-ZDtpu1OtDUewFdDpp2Sa8Btgd6AtAqBDtl0U5qOcZM2c61RGqMluRKPw5LodKfab
-UQeROFP13AzlmzZgld3kFBPTJpqTwDpT0trR0wIDAQABo4HBMIG+MA8GA1UdEwEB
-/wQFMAMBAf8wHQYDVR0OBBYEFLSzyyaS0GarqSn/cQDKqiAmv8LBMIGLBgNVHREE
-gYMwgYCGSXVybjpwdWJsaWNpZDpJRE4rdGVzdGVudmlyb25tZW50LnR1dG9yaWFs
-MjAxMS5pc2kuZGV0ZXJsYWIubmV0K3VzZXIrZmFiZXKBM2ZhYmVyQHRlc3RlbnZp
-cm9ubWVudC50dXRvcmlhbDIwMTEuaXNpLmRldGVybGFiLm5ldDANBgkqhkiG9w0B
-AQUFAAOBgQAwWu8X1c3lYmHy+6rUbKcaZw9+coMAl4hbK1ljgJaNfk/y25IHMOsE
-O/oHQKDDLtoF4+ITRNt1E8QVuiQD38vkdnes28coy4jZ/fAnS7KNvYR/zFmMGfgb
-ZdQg6wVbB6P4mdncBb8frRvZ+SS0fZrJi1hffwl/aY92hmHPyCHyBw==</X509Certificate>
-<X509SubjectName>emailAddress=faber@testenvironment.tutorial2011.isi.deterlab.net,CN=70f4db5c-c7f5-11dc-a204-000423c28e76,OU=sslxmlrpc,O=Utah Network ElabInElab,ST=Utah,C=US</X509SubjectName>
+		<X509Certificate>MIIC+DCCAmECAg2pMA0GCSqGSIb3DQEBBAUAMIHRMQswCQYDVQQGEwJVUzETMBEG
+A1UECBMKQ2FsaWZvcm5pYTEXMBUGA1UEBxMOTWFyaW5hIGRlbCBSZXkxJzAlBgNV
+BAoTHkRFVEVSIE5ldHdvcmsgU2VjdXJpdHkgVGVzdGJlZDEeMBwGA1UECxMVQ2Vy
+dGlmaWNhdGUgQXV0aG9yaXR5MR4wHAYDVQQDExVib3NzLmlzaS5kZXRlcmxhYi5u
+ZXQxKzApBgkqhkiG9w0BCQEWHHRlc3RiZWQtb3BzQGlzaS5kZXRlcmxhYi5uZXQw
+HhcNMTAxMTA1MjIzNTEyWhcNMTMwODAxMjIzNTEyWjCBtTELMAkGA1UEBhMCVVMx
+EzARBgNVBAgTCkNhbGlmb3JuaWExJzAlBgNVBAoTHkRFVEVSIE5ldHdvcmsgU2Vj
+dXJpdHkgVGVzdGJlZDESMBAGA1UECxMJc3NseG1scnBjMS0wKwYDVQQDEyQ3MGY0
+ZGI1Yy1jN2Y1LTExZGMtYTIwNC0wMDA0MjNjMjhlNzYxJTAjBgkqhkiG9w0BCQEW
+FmZhYmVyQGlzaS5kZXRlcmxhYi5uZXQwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJ
+AoGBAPfkJKdY9YBblX5WbiEjdNOQuLgLmAMif57VQ+LVk505dihLgkZc25qQTJOQ
+16sWFqLrl04334kMHzDmLn74/af5rxDxipSc+fxXd3WNX20NnIP0XJFl+IpAt+me
+G5ksmisLOwD7Iw7upbgB9oIBV16ByFHo9I5uyqQ00SN5FvjVAgMBAAEwDQYJKoZI
+hvcNAQEEBQADgYEAjGn3aZtem7Me+uGpPw6xEs8pwd3EtJ9yLofr2EMOkUKYNTHL
+fVV8cqybBCYF+RH8UYZPk3oIYH0XCfa1dzEeOcEBmYqlhcDgM8Y0Wpfh5t590ScI
+h7nN7kzGIN0wpUG6sASNqQdXA8YxwpPE/XjLrE0QKT69bU2rZnBGqSYcpzY=</X509Certificate>
+<X509SubjectName>emailAddress=faber@isi.deterlab.net,CN=70f4db5c-c7f5-11dc-a204-000423c28e76,OU=sslxmlrpc,O=DETER Network Security Testbed,ST=California,C=US</X509SubjectName>
 <X509IssuerSerial>
-<X509IssuerName>emailAddress=testbed-ops@myops.testenvironment.tutorial2011.isi.deterlab.net,CN=myboss.testenvironment.tutorial2011.isi.deterlab.net,OU=Certificate Authority,O=Utah Network ElabInElab,L=Salt Lake City Virtual World,ST=Utah,C=US</X509IssuerName>
-<X509SerialNumber>9</X509SerialNumber>
+<X509IssuerName>emailAddress=testbed-ops@isi.deterlab.net,CN=boss.isi.deterlab.net,OU=Certificate Authority,O=DETER Network Security Testbed,L=Marina del Rey,ST=California,C=US</X509IssuerName>
+<X509SerialNumber>3497</X509SerialNumber>
 </X509IssuerSerial>
 </X509Data>
